params {
  interface = webView		# Параметр не изменять!
  http {
    interface = 0.0.0.0		# Параметр не изменять!
    port = 9000				# Параметр не изменять!
	#
	# Параметр определяющий тип интерфейса - сенсорный или работа с клавиатурой "touch" или "buttons".
	# Для каждого типа интерфейса можно определить степень использования визуальных эффектов - effectsFull, effectsMedium, effectsNo.
	# Необходимо понимать, что работа с сенсорным экраном предъявляет бОльшие требования к ресурсам системного блока кассы.
	# Визуальные эффекты также требуют дополнительных ресурсов.
    pathToStatic = "www/buttons/effectsFull"  		# Работа с клавиатурой и максимальным количеством визуальных эффектов.
	# pathToStatic = "www/buttons/effectsMedium"  	# Работа с клавиатурой и средним количеством визуальных эффектов.
	# pathToStatic = "www/buttons/effectsNo"  		# Работа с клавиатурой и без эффектов.
	# pathToStatic = "www/touch/effectsFull"  		# Работа с сенсорным экраном и максимальным количеством визуальных эффектов.
	# pathToStatic = "www/touch/effectsMedium"  	# Работа с сенсорным экраном и средним количеством визуальных эффектов.
	# pathToStatic = "www/touch/effectsNo"  		# Работа с сенсорным экраном и без эффектов.

	
    keepAliveTimeout = 50   # in sec.  Параметр не изменять!
    sAllowedOrigin = "*"	# Параметр не изменять!
  }
  browser {
    internal = 0    # 0 - external, 1 - internal	# Параметр не изменять!
    fullScreen = 1  # 0 - windowed, 1 - full screen	# Параметр не изменять!
    height = 600    # in px							# Параметр не изменять!
    width = 800     # in px							# Параметр не изменять!
  }
}

desktop = Launcher			# Параметр не изменять!
auth = Authentication		# Параметр не изменять!

configurator = Configurator			# Параметр не изменять!
startupErrorsViewer = StartupErrors	# Параметр не изменять!

services : {
  name = "Сервисы"			# Параметр не изменять!
  applicationMetadata = ""	# Параметр не изменять!
  launcherPossition = 0		# Параметр не изменять!
  paths : [ "." ]			# Параметр не изменять!
  subsystems : [
    # Ниже перечислены конфигурационные файлы всех используемых на кассе подсистем
    # hardware
	  { include file("conf/hardware/barcodescanner/barcodescanner.conf") }  # Сканеры, подключенные к кассе
     { include file("conf/hardware/buyersdisplay/buyersdisplay.conf") }	# Дисплей покупателя, подключенный к кассе
     { include file("conf/hardware/cashbox/cashbox.conf") }			# Денежный ящик
     { include file("conf/hardware/fiscalprinter/fiscalprinter.conf") }	# Фискальный принтер
     { include file("conf/hardware/scale/scale.conf") }			# Весы, подключнные к кассе
    # { include file("conf/hardware/videocontrol/videocontrol.conf") }		# Видеоконтроль, подключнный к кассе
    #
    # services
    # { include file("conf/services/monitoring.conf") }				# Если используется мониторинг кассы, то параметр должен присутствовать
    # { include file("conf/services/converters/converters.conf") }			# Параметр не изменять!
     { include file("conf/services/doc_exporter/doc_exporter.conf") }			# Параметр не изменять!
     { include file("conf/services/doc_importer.conf") }			# Параметр не изменять!
    # { include file("conf/services/egais.conf") }					# Если требуется взаимодействие с УТМ ЕГАИС, то параметр должен присутствовать
    # { include file("conf/services/egais_monetka_validator.conf") }	# Если требуется взаимодействие с ЕГАИС валидатором , то параметр должен присутствовать
     { include file("conf/services/marketing/marketing.conf") }	# Если используются ручные скидки или взаимодействие с Loya, то параметр должен присутствовать
     { include file("conf/services/money_box.conf") }				# Если используется оплата Наличными, то параметр должен присутствовать
    # { include file("conf/hardware/bank/sbrf_win.conf") }				# Если используется оплата через Сбербанк и касса работает под Windows, то параметр должен присутствовать
    # { include file("conf/hardware/bank/sbrf_lin.conf") }				# Если используется оплата через Сбербанк и касса работает под Linux, то параметр должен присутствовать
    # { include file("conf/hardware/bank/voice_authorization.conf") }		# Если используется оплата через внешний pin-pad (не подключенный к кассе), то параметр должен присутствовать
    # { include file("conf/hardware/bank/arcus2_lin.conf") }			# Если используется оплата через процессинг Аркус2 и касса работает под Linux, то параметр должен присутствовать
     { include file("conf/hardware/bank/inpas_lin.conf") }				# Если используется оплата через INPAS и касса работает под Linux, то параметр должен присутствовать
     { include file("conf/services/payment/payment.conf") }			# Параметр не изменять!
     { include file("conf/services/reports/reports.conf") }		# Если на кассе предполагается использование отчётов, то параметр должен присутствовать
     { include file("conf/services/securitycontext.conf") }		# Параметр не изменять!
     { include file("conf/services/money_box_synchronizer.conf") }	# Если требуется синхронизировать содержимое денежного ящика в ККТ и в кассовой программе, то параметр должен присутствовать.
    # { include file("conf/services/store_integrator_client.conf") }# Если на магазине установлен модуль интеграции, то нужно включить
    # { include file("conf/services/tobacco.conf") }					# Если на магазине установлен модуль табачной продукции, то нужно включить
    #, { include file("conf/services/pricechecker_service.conf") }	 # Сервер прайсчекеров
    #, { include file("conf/services/receipt_cutter.conf") }         # Обрезка чеков
     { include file("conf/services/update.conf") }	# Если требуется вести диалог с кассиром при обновлении
    # storage
    , { include file("conf/storage/storage.conf") }			# Параметр не изменять!
  ]
}
# Перечень Приложений (модулей), используемых на кассе. Каждое приложение это отдельная кнопка на Рабочем столе (Главном меню) кассы. 
# Можно сказать, что здесь определяется перечень кнопок на Рабочем столе
# Практически все Приложения требуются в обычной практике применения.
applications = [
  { include file("conf/applications/authentication/authentication.conf") }		# Регистрация кассиров
  ,{ include file("conf/applications/cash_managment/cash_managment.conf") }		# Внесение/изъятие наличных в/из денежного ящика
  ,{ include file("conf/applications/launcher/launcher.conf") }					# Системный конфиг.файл
  ,{ include file("conf/applications/reports/reports.conf") }					# Приложение "Отчёты"
  ,{ include file("conf/applications/return_by_receipt/return_by_receipt.conf") }  # Возврат по чеку
  ,{ include file("conf/applications/sale/sale.conf") }							# Продажа
  ,{ include file("conf/applications/shiftclose/shiftclose.conf") }				# Закрытие смены
  ,{ include file("conf/applications/shiftopen/shiftopen.conf") }				# Открытие смены
  ,{ include file("conf/applications/shutdown/shutdown.conf") }					# Выключение кассы
  # ,{ include file("conf/applications/webview/webview.conf") }		# Если предполагается обращение к внешним сайтам, то параметр должен присутствовать.
  ,{ include file("conf/applications/find_receipt/find_receipt.conf") }			# Поиск чека

  ,{ include file("conf/applications/startup_errors/startup_errors.conf") }		# Системный конфиг.файл
  ,{ include file("conf/applications/configurator/configurator.conf") }			# Системный конфиг.файл
]
